POSTTarget

/target

Create a new target

Create a new target

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Body Parameters

NameTypeRequiredDescription
targetapp.TargetYesTarget

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

targetBody parameterapp.Target
date_created
integer
No description.
date_modified
integer
No description.
filter
No description.
id
integer
No description.
metric
No description.
type_id
integer
No description.
type_related
No description.
value
number
No description.
cURL
curl -X POST 'https://<tenant>.dieagenturverwaltung.de/api/v2/target' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "date_created": 123,
  "date_modified": 123,
  "filter": {},
  "id": 123,
  "metric": "absentHours",
  "type_id": 123,
  "type_related": "user",
  "value": 123.45
}'
Request Body (application/json)
{
  "date_created": 123,
  "date_modified": 123,
  "filter": {...},
  "id": 123,
  "metric": "absentHours",
  "type_id": 123,
  "type_related": "user",
  "value": 123.45
}

Responses

200OK
app.Targetapplication/json
Example
{
  "date_created": 123,
  "date_modified": 123,
  "filter": {...},
  "id": 123,
  "metric": "absentHours",
  "type_id": 123,
  "type_related": "user",
  "value": 123.45
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
401Unauthorized
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}